# Type alias AggregationOptions

AggregationOptions: {
aggregate: string;
field?: string;
orderBy?: string;
ref?: string;
subselect?: SubselectOptions;
table: string;
through?: string;
valueFormula?: string;
where?: Where;
}

#### Type declaration

- ##### aggregate: string

- ##### `Optional` field?: string

- ##### `Optional` orderBy?: string

- ##### `Optional` ref?: string

- ##### `Optional` subselect?: SubselectOptions

- ##### table: string

- ##### `Optional` through?: string

- ##### `Optional` valueFormula?: string

- ##### `Optional` where?: Where

- Defined in db-common/internal.ts:746

Generated using TypeDoc